HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTaxRates

Contains the different functions to run the operation getTaxRates

  • 5 types
  • 4 values
valuegetTaxRates
  1. :: MonadHTTP m
  2. => GetTaxRatesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTaxRatesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/tax_rates

<p>Returns a list of your tax rates. Tax rates are returned sorted by creation date, with the most recently created tax rates appearing first.</p>

Defines the object schema located at paths./v1/tax_rates.GET.parameters in the specification.

Constructors

  • GetTaxRatesParameters
    • getTaxRatesParametersQueryActive :: Maybe Bool

      queryActive: Represents the parameter named 'active'

      Optional flag to filter by tax rates that are either active or inactive (archived).

    • getTaxRatesParametersQueryCreated :: Maybe GetTaxRatesParametersQueryCreated'Variants

      queryCreated: Represents the parameter named 'created'

      Optional range for filtering created date.

    • getTaxRatesParametersQueryEndingBefore :: Maybe Text

      queryEnding_before: Represents the parameter named 'ending_before'

      A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

      Constraints:

      • Maximum length of 5000

    • getTaxRatesParametersQueryExpand :: Maybe [Text]

      queryExpand: Represents the parameter named 'expand'

      Specifies which fields in the response should be expanded.

    • getTaxRatesParametersQueryInclusive :: Maybe Bool

      queryInclusive: Represents the parameter named 'inclusive'

      Optional flag to filter by tax rates that are inclusive (or those that are not inclusive).

    • getTaxRatesParametersQueryLimit :: Maybe Int

      queryLimit: Represents the parameter named 'limit'

      A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

    • getTaxRatesParametersQueryStartingAfter :: Maybe Text

      queryStarting_after: Represents the parameter named 'starting_after'

      A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

      Constraints:

      • Maximum length of 5000

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/tax_rates.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/tax_rates.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Optional range for filtering created date.

Instances4Eq, Show, FromJSON, ToJSON
datadata GetTaxRatesResponse
#

Represents a response of the operation getTaxRates.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTaxRatesResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/tax_rates.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON